<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BitNodeBooleanOptions](./bitburner.bitnodebooleanoptions.md)

## BitNodeBooleanOptions interface

Note:

- restrictHomePCUpgrade: The home computer's maximum RAM and number of cores are lower than normal. Max RAM: 128GB. Max core: 1.

- disableSleeveExpAndAugmentation: Your Sleeves do not gain experience when they perform action. You also cannot buy augmentations for them.

**Signature:**

```typescript
export interface BitNodeBooleanOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[disable4SData](./bitburner.bitnodebooleanoptions.disable4sdata.md)


</td><td>


</td><td>

boolean


</td><td>


</td></tr>
<tr><td>

[disableBladeburner](./bitburner.bitnodebooleanoptions.disablebladeburner.md)


</td><td>


</td><td>

boolean


</td><td>


</td></tr>
<tr><td>

[disableCorporation](./bitburner.bitnodebooleanoptions.disablecorporation.md)


</td><td>


</td><td>

boolean


</td><td>


</td></tr>
<tr><td>

[disableGang](./bitburner.bitnodebooleanoptions.disablegang.md)


</td><td>


</td><td>

boolean


</td><td>


</td></tr>
<tr><td>

[disableHacknetServer](./bitburner.bitnodebooleanoptions.disablehacknetserver.md)


</td><td>


</td><td>

boolean


</td><td>


</td></tr>
<tr><td>

[disableSleeveExpAndAugmentation](./bitburner.bitnodebooleanoptions.disablesleeveexpandaugmentation.md)


</td><td>


</td><td>

boolean


</td><td>


</td></tr>
<tr><td>

[restrictHomePCUpgrade](./bitburner.bitnodebooleanoptions.restricthomepcupgrade.md)


</td><td>


</td><td>

boolean


</td><td>


</td></tr>
</tbody></table>

